Permalink
Browse files

adjust gemfile for maglev. coffee-script broken b/c json gem doesn't …

…work correctly
  • Loading branch information...
1 parent d1ab58d commit c594558cf4aad4399d2a98a8350ede3a8274f5ef @timfel timfel committed Jun 16, 2011
Showing with 7 additions and 1 deletion.
  1. +7 −1 Gemfile
View
@@ -32,7 +32,7 @@ gem 'less', '~> 1.0', :group => 'less'
gem 'liquid', :group => 'liquid' unless RUBY_ENGINE == 'maglev'
gem 'slim', :group => 'slim'
gem 'RedCloth', :group => 'redcloth' if RUBY_VERSION < "1.9.3" and not RUBY_ENGINE.start_with? 'ma'
-gem 'coffee-script', '>= 2.0', :group => 'coffee-script'
+gem 'coffee-script', '>= 2.0', :group => 'coffee-script' unless RUBY_ENGINE == 'maglev'
gem 'rdoc', :group => 'rdoc'
gem 'kramdown', :group => 'kramdown'
gem 'maruku', :group => 'maruku'
@@ -52,6 +52,12 @@ unless RUBY_ENGINE == 'jruby' && JRUBY_VERSION < "1.6.1"
#gem 'bluecloth', :group => 'bluecloth'
end
+if RUBY_ENGINE == 'maglev'
+ gem 'json', :group => 'coffee-script'
+ gem 'markaby', :group => 'markaby'
+ gem 'radius', :group => 'radius'
+end
+
platforms :ruby_18, :jruby do
gem 'json', :group => 'coffee-script'
gem 'markaby', :group => 'markaby'

0 comments on commit c594558

Please sign in to comment.